"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.BoxDigit = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _constants = require("../../common/constants");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const BoxDigit = _ref => {
  let {
    isValueFocused,
    handleOnPress,
    digit,
    pinCount,
    boxSelectedStyle,
    boxStyle,
    digitStyle
  } = _ref;
  const selectedStyle = boxSelectedStyle || {
    borderColor: 'blue'
  };
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: [styles.box, {
      width: (_constants.width - 40 - 20 * (pinCount - 1)) / pinCount
    }, boxStyle, isValueFocused ? selectedStyle : {}],
    onStartShouldSetResponder: _constants.EMPTY_ACTION,
    onResponderGrant: handleOnPress
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: [styles.digit, digitStyle]
  }, digit));
};
exports.BoxDigit = BoxDigit;
const styles = _reactNative.StyleSheet.create({
  boxContainer: {
    flexDirection: 'row',
    justifyContent: 'space-between',
    paddingHorizontal: 20
  },
  box: {
    height: 64,
    maxWidth: 56,
    borderWidth: 1,
    borderColor: 'black',
    justifyContent: 'center',
    alignItems: 'center',
    backgroundColor: '#c3c3c3'
  },
  digit: {
    fontSize: 36,
    color: 'black'
  }
});
//# sourceMappingURL=index.js.map