import React from 'react';
import { StyleSheet, Text, View } from 'react-native';
import { EMPTY_ACTION, width } from '../../common/constants';
export const BoxDigit = _ref => {
  let {
    isValueFocused,
    handleOnPress,
    digit,
    pinCount,
    boxSelectedStyle,
    boxStyle,
    digitStyle
  } = _ref;
  const selectedStyle = boxSelectedStyle || {
    borderColor: 'blue'
  };
  return /*#__PURE__*/React.createElement(View, {
    style: [styles.box, {
      width: (width - 40 - 20 * (pinCount - 1)) / pinCount
    }, boxStyle, isValueFocused ? selectedStyle : {}],
    onStartShouldSetResponder: EMPTY_ACTION,
    onResponderGrant: handleOnPress
  }, /*#__PURE__*/React.createElement(Text, {
    style: [styles.digit, digitStyle]
  }, digit));
};
const styles = StyleSheet.create({
  boxContainer: {
    flexDirection: 'row',
    justifyContent: 'space-between',
    paddingHorizontal: 20
  },
  box: {
    height: 64,
    maxWidth: 56,
    borderWidth: 1,
    borderColor: 'black',
    justifyContent: 'center',
    alignItems: 'center',
    backgroundColor: '#c3c3c3'
  },
  digit: {
    fontSize: 36,
    color: 'black'
  }
});
//# sourceMappingURL=index.js.map